## ros-jazzy-rclcpp 28.1.2

=== debian/changelog ===
ros-jazzy-rclcpp (28.1.2-2bookworm) bookworm; urgency=high

  * add impl pointer for ExecutorOptions (#2523 <https://github.com/ros2/rclcpp/issues/2523>) (#2525 <https://github.com/ros2/rclcpp/issues/2525>)
    * add impl pointer for ExecutorOptions
    (cherry picked from commit 343b29b617b163ad72b9fe3f6441dd4ed3d3af09)
    Co-authored-by: William Woodall <mailto:william@osrfoundation.org>
  * Fixup Executor::spin_all() regression fix (#2517 <https://github.com/ros2/rclcpp/issues/2517>) (#2521 <https://github.com/ros2/rclcpp/issues/2521>)
    * test(Executors): Added tests for busy waiting
    Checks if executors are busy waiting while they should block
    in spin_some or spin_all.
    * fix: Reworked spinAll test
    This test was strange. It looked like, it assumed that spin_all did
    not return instantly. Also it was racy, as the thread could terminate
    instantly.
    * fix(Executor): Fixed spin_all not returning instantly is no work was available
    * Update rclcpp/test/rclcpp/executors/test_executors.cpp
    * test(executors): Added test for busy waiting while calling spin
    * fix(executor): Reset wait_result on every call to spin_some_impl
    Before, the method would not recollect available work in case of
    spin_some, spin_all. This would lead to the method behaving differently
    than to what the documentation states.
    * restore previous test logic for now
    * refactor spin_some_impl's logic and improve busy wait tests
    * added some more comments about the implementation
    ---------
    Co-authored-by: Janosch Machowinski <mailto:J.Machowinski@cellumation.com>
    Co-authored-by: jmachowinski <mailto:jmachowinski@users.noreply.github.com>
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
    Co-authored-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rclcpp (28.1.1-2bookworm) bookworm; urgency=high

  * Revise the description of service configure_introspection() (#2511 <https://github.com/ros2/rclcpp/issues/2511>) (#2513 <https://github.com/ros2/rclcpp/issues/2513>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp (28.1.0-2bookworm) bookworm; urgency=high

  * Remove references to index.ros.org. (#2504 <https://github.com/ros2/rclcpp/issues/2504>)
  * Reduce overhead for inheriting from rclcpp::Executor when base functionality is not reused (#2506 <https://github.com/ros2/rclcpp/issues/2506>)
  * Contributors: Chris Lalancette, William Woodall, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp (28.0.1-2bookworm) bookworm; urgency=high

  * [wjwwood] Updated "Data race fixes" (#2500 <https://github.com/ros2/rclcpp/issues/2500>)
    * Fix callback group logic in executor
    * fix: Fixed unnecessary copy of wait_set
    * fix(executor): Fixed race conditions with rebuild of wait_sets
    Before this change, the rebuild of wait set would be triggered
    after the wait set was waken up. With bad timing, this could
    lead to the rebuild not happening with multi threaded executor.
    * fix(Executor): Fixed lost of entities rebuild request
    * chore: Added assert for not set callback_group in execute_any_executable
    * Add test for cbg getting reset
    Co-authored-by: Janosch Machowinski <mailto:j.machowinski@nospam.org>
    * chore: renamed test cases to snake_case
    * style
    * fixup test to avoid polling and short timeouts
    * fix: Use correct notify_waitable_ instance
    * fix(StaticSingleThreadedExecutor): Added missing special case handling for current_notify_waitable_
    * fix(TestCallbackGroup): Fixed test after change to timers
    ---------
    Co-authored-by: Janosch Machowinski <mailto:j.machowinski@cellumation.com>
    Co-authored-by: Michael Carroll <mailto:mjcarroll@intrinsic.ai>
    Co-authored-by: Janosch Machowinski <mailto:j.machowinski@nospam.org>
  * fixup var names to snake case (#2501 <https://github.com/ros2/rclcpp/issues/2501>)
  * Added optional TimerInfo to timer callback (#2343 <https://github.com/ros2/rclcpp/issues/2343>)
    Co-authored-by: Alexis Tsogias <mailto:a.tsogias@cellumation.com>
    Co-authored-by: Janosch Machowinski <mailto:J.Machowinski@cellumation.com>
  * Fix uninitialized memory in test (#2498 <https://github.com/ros2/rclcpp/issues/2498>)
    When I added in the tests for large messages, I made a mistake and reserved space in the strings, but didn't actually expand it.  Thus, we were writing into uninitialized memory.  Fix this by just using the correct constructor for string, which will allocate and initialize the memory properly.
  * Ensure waitables handle guard condition retriggering (#2483 <https://github.com/ros2/rclcpp/issues/2483>)
    Co-authored-by: Michael Carroll <mailto:mjcarroll@intrinsic.ai>
  * fix: init concatenated_vector with begin() & end() (#2492 <https://github.com/ros2/rclcpp/issues/2492>)
    * this commit will fix the warning [-Wstringop-overflow=] #2461 <https://github.com/ros2/rclcpp/issues/2461>
  * Use the same context for the specified node in rclcpp::spin functions (#2433 <https://github.com/ros2/rclcpp/issues/2433>)
    * Use the same conext for the specified node in rclcpp::spin_xx functions
    * Add test for spinning with non-default-context
    * Format code
    ---------
  * Disable compare-function-pointers in test_utilities (#2489 <https://github.com/ros2/rclcpp/issues/2489>)
  * address ambiguous auto variable. (#2481 <https://github.com/ros2/rclcpp/issues/2481>)
  * Increase the cppcheck timeout to 1200 seconds (#2484 <https://github.com/ros2/rclcpp/issues/2484>)
  * Removed test_timers_manager clang warning (#2479 <https://github.com/ros2/rclcpp/issues/2479>)
  * Flaky timer test fix (#2469 <https://github.com/ros2/rclcpp/issues/2469>)

