=== debian/control ===
Source: ros-jazzy-rclcpp
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-dev, ros-jazzy-ament-cmake-gen-version-h, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-cmake-google-benchmark <!nocheck>, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-index-cpp, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-builtin-interfaces, ros-jazzy-libstatistics-collector, ros-jazzy-mimick-vendor <!nocheck>, ros-jazzy-performance-test-fixture <!nocheck>, ros-jazzy-rcl, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-logging-interface, ros-jazzy-rcl-yaml-param-parser, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw <!nocheck>, ros-jazzy-rmw-implementation-cmake <!nocheck>, ros-jazzy-rosgraph-msgs, ros-jazzy-rosidl-default-generators <!nocheck>, ros-jazzy-rosidl-dynamic-typesupport, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-rosidl-typesupport-c, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-statistics-msgs, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-tracetools, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rclcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-builtin-interfaces, ros-jazzy-libstatistics-collector, ros-jazzy-rcl, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-logging-interface, ros-jazzy-rcl-yaml-param-parser, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rosgraph-msgs, ros-jazzy-rosidl-dynamic-typesupport, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-runtime-cpp, ros-jazzy-rosidl-typesupport-c, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-statistics-msgs, ros-jazzy-tracetools, ros-jazzy-ros-workspace
Description: The ROS client library in C++.
